#include "config.h"

#include <stdio.h>
#include <stdlib.h>

#ifdef USE_NLLIBC
#include <nllibc.h>
#endif

#include "const.h"
#include "image.h"
#include "charset.h"

extern int chara64x64_bitmap[];

struct charset chara64x64 = {
  64, 64, 3, chara64x64_bitmap, IMAGE_TYPE_FULLCOLOR, IMAGE_FLAG_STATIC
};

#define T -1       /* transparent */
#define N 0x000000 /* black */
#define B 0x0000FF /* blue */
#define G 0x00FF00 /* green */
#define C 0x00FFFF /* cyan */
#define R 0xFF0000 /* red */
#define M 0xFF00FF /* magenta */
#define Y 0xFFFF00 /* yellow */
#define W 0xFFFFFF /* white */

#define P 0xFF8080 /* pink */
#define D 0x800000 /* brown */
#define O 0xFFFF80 /* orange */
#define S 0xFFC0C0 /* skin */

int chara64x64_bitmap[] = {
  /* nlkun */
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,D,T,T,T,T,T,T,T,
  T,T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,
  T,T,T,T,T,D,D,D,D,D,P,P,P,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,P,P,D,D,D,D,T,T,T,T,T,T,
  T,T,T,T,T,D,D,D,D,D,P,P,P,P,D,D,D,D,T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,D,D,P,P,P,P,P,D,D,D,T,T,T,T,T,T,
  T,T,T,T,T,T,D,D,D,P,P,P,P,P,P,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,P,P,P,P,P,P,P,D,D,T,T,T,T,T,T,
  T,T,T,T,T,T,D,D,D,P,P,P,P,P,P,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,P,P,P,P,P,P,P,D,D,T,T,T,T,T,T,
  T,T,T,T,T,T,D,D,D,P,P,P,P,P,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,P,P,P,P,P,P,D,D,D,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,D,D,P,P,P,P,D,D,N,N,N,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,N,D,D,D,D,D,D,D,P,P,P,P,P,P,D,D,D,D,T,T,T,T,T,
  T,T,T,T,T,T,T,T,D,D,D,D,P,D,D,D,N,N,N,N,N,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,N,N,N,N,D,D,D,D,D,D,P,P,P,P,P,P,D,D,D,D,T,T,T,T,T,
  T,T,T,T,T,T,T,D,D,D,D,D,D,D,D,N,N,N,N,N,N,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,N,N,N,N,D,D,D,D,D,D,D,D,D,P,P,D,D,D,D,D,T,T,T,T,T,
  T,T,T,T,T,T,D,D,D,D,D,D,D,D,D,N,N,W,N,N,N,N,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,N,W,N,N,N,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,
  T,T,T,T,T,D,D,D,D,D,D,D,D,D,D,N,N,N,N,N,N,N,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,N,N,N,N,N,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,
  T,T,T,T,T,D,D,D,D,D,D,D,D,D,D,N,N,W,N,N,N,N,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,N,N,N,N,N,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,
  T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,N,N,N,N,N,P,N,P,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,N,W,N,P,N,P,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,
  T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,N,N,N,N,N,N,P,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,N,N,N,N,P,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,
  T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,D,N,W,N,N,W,N,N,D,D,D,D,N,N,N,N,D,D,D,D,D,D,N,N,N,N,N,N,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,
  T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,D,D,N,W,W,N,N,N,D,D,D,N,P,P,N,P,N,D,D,D,D,D,D,N,W,N,N,W,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,
  T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,N,N,D,D,D,D,D,N,P,N,P,P,N,D,D,D,D,D,D,D,N,W,W,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,
  T,T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,P,N,N,P,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,
  T,T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,N,N,N,N,N,D,D,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,
  T,T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,N,D,D,D,N,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,
  T,T,T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,D,D,N,D,D,N,N,N,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,N,D,D,D,D,N,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,N,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,D,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,N,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,N,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,N,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,N,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,N,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,N,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,N,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,N,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,N,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,G,G,P,P,P,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,N,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,G,G,P,P,P,P,P,D,D,D,D,D,D,D,D,D,D,D,D,D,D,N,N,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,G,G,G,P,P,P,P,P,P,P,D,D,D,D,D,D,D,D,D,D,D,N,N,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,G,G,G,G,G,P,P,P,P,P,P,P,D,D,D,D,D,D,D,D,N,N,N,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,G,G,G,G,G,G,P,P,P,P,P,P,P,P,D,D,D,D,D,N,N,N,N,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,G,G,G,G,G,G,P,P,P,P,P,P,P,P,D,D,D,N,N,N,N,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,G,G,G,G,G,G,P,P,P,P,P,P,P,P,P,N,N,N,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,G,G,G,G,G,G,G,P,P,P,P,P,P,P,P,N,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,G,G,G,G,G,G,Y,Y,Y,P,P,P,P,P,P,P,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,G,G,G,G,G,G,Y,Y,Y,P,P,P,P,P,P,P,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,G,G,G,G,G,G,G,G,G,P,P,P,P,P,P,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,G,G,G,G,G,G,G,G,G,G,G,G,G,G,G,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,G,G,G,G,G,G,G,G,G,G,G,G,G,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,G,G,G,G,G,G,G,G,G,G,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,G,G,G,G,G,G,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,

  /* boykun */
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,R,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,R,R,R,R,R,R,R,R,R,R,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,R,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,R,R,R,R,R,R,R,R,R,R,R,R,R,S,R,S,R,S,R,R,R,R,R,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,R,R,R,R,R,R,R,R,R,R,R,R,S,S,S,S,S,S,S,S,R,R,R,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,R,R,R,R,R,R,R,R,R,R,R,R,C,C,C,C,C,C,C,S,S,R,R,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,R,R,R,R,R,R,R,R,R,R,R,C,C,G,G,G,W,W,C,C,S,S,S,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,R,R,R,R,R,R,R,R,R,C,C,C,G,W,W,W,G,W,W,C,C,S,S,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,R,R,R,R,R,R,R,R,R,C,C,C,G,W,W,W,G,W,W,C,C,S,S,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,R,R,R,R,R,R,R,R,R,C,C,C,G,G,G,G,G,W,W,C,C,C,C,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,R,R,R,R,R,R,R,R,C,C,C,C,G,G,G,G,G,W,W,C,C,C,C,C,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,R,R,R,R,R,R,R,R,R,S,S,S,C,G,G,G,G,G,W,W,C,C,S,S,S,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,R,R,R,R,R,R,R,R,R,S,S,S,S,C,G,G,G,W,W,C,C,S,S,S,S,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,R,S,S,S,S,S,C,C,C,C,C,C,S,S,S,S,S,R,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,R,S,S,S,S,S,S,S,S,S,S,S,S,S,S,S,S,S,R,N,R,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,R,R,S,N,S,S,S,N,S,S,S,S,S,S,S,S,S,S,S,B,N,B,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,R,S,S,S,N,N,N,S,S,S,S,S,S,S,S,S,B,B,B,N,N,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,R,S,S,S,S,S,S,S,S,S,S,S,S,S,B,B,B,B,B,N,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,R,S,S,S,S,S,S,S,S,S,S,S,S,S,S,B,B,B,B,B,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,R,R,S,S,S,S,S,S,S,S,S,S,S,S,S,S,B,B,B,B,B,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,R,B,B,B,S,S,S,S,B,B,B,B,B,B,B,B,B,B,B,B,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,N,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,N,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,N,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,B,B,B,B,N,N,N,N,N,N,N,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,B,B,B,B,N,B,B,B,B,B,B,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,B,B,B,B,B,B,B,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,B,B,B,B,B,B,B,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,B,B,B,B,B,B,B,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,B,B,B,B,B,B,B,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,B,B,B,B,B,B,B,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,B,B,B,B,B,B,B,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,B,B,B,B,B,B,B,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,B,B,B,B,B,B,B,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,B,B,B,B,B,B,B,B,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,B,T,T,B,B,B,B,B,B,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,T,T,T,T,B,B,B,B,B,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,T,T,T,T,B,B,B,B,B,B,B,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,B,T,T,T,T,T,T,B,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,B,B,B,B,T,T,T,T,T,T,T,T,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,T,T,T,T,T,T,T,T,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,T,T,T,T,T,T,T,T,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,T,T,T,T,T,T,T,T,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,T,T,T,T,T,T,T,T,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,D,D,D,D,D,D,D,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,

  /* nssensei */
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,S,S,N,N,S,S,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,S,S,S,N,S,S,S,S,S,S,S,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,S,S,S,S,S,S,S,S,S,S,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,S,S,S,S,S,S,S,S,S,S,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,S,S,S,N,N,N,N,S,S,S,S,S,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,W,W,W,W,N,N,N,N,N,N,S,S,N,W,W,W,W,N,S,S,S,S,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,S,S,N,W,W,W,W,N,N,N,N,N,N,N,S,N,W,W,W,W,N,S,S,S,S,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,S,S,N,N,N,N,N,N,S,S,S,N,N,N,S,N,N,N,N,N,N,S,S,S,S,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,S,S,N,Y,Y,Y,Y,N,S,S,S,S,N,N,S,N,G,G,G,G,N,S,S,S,S,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,S,S,N,Y,Y,Y,Y,N,S,S,S,S,S,S,S,N,G,G,G,G,N,S,S,S,S,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,S,S,S,N,N,N,N,S,S,S,S,S,S,S,S,S,N,N,N,N,S,S,S,S,S,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,S,S,S,S,S,S,S,S,S,S,S,S,S,S,S,S,S,S,S,S,S,S,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,S,S,S,S,S,S,S,S,S,S,S,N,S,S,S,S,S,N,S,S,S,S,S,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,S,S,S,S,S,S,S,S,S,S,N,N,N,N,N,N,N,S,S,S,S,S,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,S,S,S,S,S,S,S,S,S,S,S,S,S,S,S,S,S,S,S,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,S,S,D,D,S,S,S,S,S,S,D,D,S,S,T,T,T,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,S,D,D,D,S,S,S,S,D,D,D,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,D,D,D,D,D,D,D,D,D,D,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,D,D,D,D,D,D,D,D,D,D,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,D,D,N,N,N,N,N,N,D,D,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,Y,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,Y,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,Y,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,T,T,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,T,T,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,T,T,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,T,T,T,T,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,S,S,S,S,S,S,S,T,T,T,T,T,T,S,S,S,S,S,S,S,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,G,G,N,N,G,G,N,T,T,T,T,T,T,T,S,S,S,S,S,S,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,G,G,G,G,G,G,N,T,T,T,T,T,T,T,S,R,R,N,N,R,R,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,G,G,N,N,G,G,N,N,T,T,T,T,T,T,N,R,R,R,R,R,R,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,N,R,R,N,N,R,R,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,N,N,N,N,N,N,N,N,N,N,N,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
  T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,T,
};
